<div class="card">
    <toaster-container></toaster-container>
  <div class="card-block">
    <ul class="list-group" *ngFor="let us of user">
      <li class="list-group-item list-group-item-info">
        {{ us.name }} {{ us.last_name }}
      </li>
      <li class="list-group-item">
          <div class="row">
            <div class="col-2">
                <strong>Fecha</strong>
            </div>
            <div class="col-2">
                <strong>Tipo</strong>
            </div>
            <div class="col-2">
                <strong>Cantidad</strong>
            </div>
            <div class="col-2">
                <strong>Monto</strong>
            </div>
            <div class="col-2">
                <strong>Saldo</strong>
            </div>
            <div class="col-2">
                <strong>*********</strong>
            </div>
          </div>
        </li>
      <li class="list-group-item" *ngFor="let item of us.sales">
        <div class="row">
          <div class="col-2">
              {{item.created_at | date:'medium'}}
          </div>
          <div class="col-2">
              {{item.debt_type.name}}
          </div>
          <div class="col-2">
              {{item.cant}}
          </div>
          <div class="col-2">
              {{item.amount | number}}
          </div>
          <div class="col-2">
              {{item.balance | number}}
          </div>
          <div class="col-2">
              <button type="button" class="btn btn-sm btn-danger" (click)="modalDelete(item.id);actionsModal.show()"><i class="icon-trash"></i></button>
          </div>
        </div>
      </li>
      <li class="list-group-item">
          <div class="row">
            <div class="col-8">
            </div>
            <div class="col-2">
                <strong>{{amount | number}}</strong>
            </div>
            <div class="col-2">
                <strong>{{balance | number}}</strong>
            </div>
          </div>
        </li>
    </ul>
  </div>
</div>

  <div bsModal #actionsModal="bs-modal" class="modal fade" tabindex="-1" role="dialog"
  aria-labelledby="actionsModal"
  aria-hidden="true">
  <div class="modal-dialog modal-warning" role="document">
  <div class="modal-content">
   <div class="modal-header">
     <h5 class="modal-title">Eliminación deuda</h5>
     <button type="button" class="close" (click)="actionsModal.hide()"
             aria-label="Close">
     </button>
   </div>
   <div class="modal-body">
      <div class="form-group">
          <label for="exampleInputEmail1">Esta seguro que desea eliminar la siguiente deuda ????</label>
      </div>
   </div>
   <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="actionsModal.hide()">
          cerrar
      </button>
      <button type="button" class="btn btn-sm btn-danger" (click)="deleteSale(saleId);actionsModal.hide();"><i class="icon-trash"></i></button>
   </div>
  </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
  </div><!-- /.modal -->
  